Gst::MapInfo Class Reference

Inherits Object.

## Public Member Functions

| MapInfo ()
| MapInfo (GstMapInfo& castitem, bool take_ownership=false)
| MapInfo (const MapInfo& other)
virtual | ~MapInfo ()
MapFlags | get_flags () const
guint8* | get_data () const
gsize | get_maxsize () const
gsize | get_size () const
GstMapInfo* | gobj ()
const GstMapInfo* | gobj () const

## Constructor & Destructor Documentation

Gst::MapInfo::MapInfo | ( |  | ) |

Gst::MapInfo::MapInfo | ( | GstMapInfo & | castitem,
|  | bool | take_ownership = `false`
| ) |  |

explicit

Gst::MapInfo::MapInfo | ( | const MapInfo& | other | ) |

virtual Gst::MapInfo::~MapInfo | ( |  | ) |

virtual

## Member Function Documentation

guint8* Gst::MapInfo::get_data | ( |  | ) | const

MapFlags Gst::MapInfo::get_flags | ( |  | ) | const

gsize Gst::MapInfo::get_maxsize | ( |  | ) | const

gsize Gst::MapInfo::get_size | ( |  | ) | const

GstMapInfo* Gst::MapInfo::gobj | ( |  | ) |

inline

const GstMapInfo* Gst::MapInfo::gobj | ( |  | ) | const

inline

The documentation for this class was generated from the following file:

- gstreamermm/mapinfo.h